/*
 * 2004 Viliam Holub
 */

#ifndef _PNG_BASICS_H_
#define _PNG_BASICS_H_


/*
 * Include png support
 */
#include <png.h>

// picture structure
typedef struct 
{
	int width, height;
	png_bytepp rows;
} picture_s;

// color structure
typedef struct 
{
	int r, g, b, a;
} color_s;

// color definitions
extern color_s white;
extern color_s gray;
extern color_s black;
extern color_s red;
extern color_s green;
extern color_s blue;


picture_s *new_picture( void);
void init_picture( picture_s *pic, int width, int height);
void done_picture( picture_s **pic);
picture_s *load_rgbpicture( const char *filename);
void save_picture( picture_s *pic, const char *filename);

void get_pixel( const picture_s *pic, color_s *col, int x, int y);
void put_pixel( picture_s *pic, int x, int y, color_s *col);
void put_line( picture_s *pic, int x, int y, int c, color_s *col);

#endif /* _PNG_BASICS_H_ */
